#!/bin/sh

# first the mesh is generated
blockMesh

# now the mesh quality is checked. Have a look at the log file with name "checkMesh.log"
checkMesh | tee checkMesh.log

# the mesh is decomposed into 4 parts for parallel execution
decomposePar -force

# the simulation is started
mpirun -np 4 viscousHeatingSolver -parallel | tee simulation.log

# the results are reconstructed from the parallel computation
reconstructPar
